Package com.xebialabs.xlrelease.domain.status

# Enum Class TriggerExecutionStatus

java.lang.Object
java.lang.Enum<TriggerExecutionStatus>
com.xebialabs.xlrelease.domain.status.TriggerExecutionStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<TriggerExecutionStatus>`, `Constable`

public enum TriggerExecutionStatus extends Enum<TriggerExecutionStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FAILURE`
  `SUCCESS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `value()`
  `static TriggerExecutionStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TriggerExecutionStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final TriggerExecutionStatus SUCCESS

  - ### FAILURE

    public static final TriggerExecutionStatus FAILURE

- ## Method Details

  - ### values

    public static TriggerExecutionStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TriggerExecutionStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()